OpenNMS API 1.2.9

## org.opennms.core.queue
Interface NotifiableInputFifoQueue

All Superinterfaces:
  FifoQueue

public interface NotifiableInputFifoQueue
extends FifoQueue

This interface is implemented by FIFO queue implementations that can notify interested listener when elements are added to the queue. This is useful for listeners that may block or preform other work while a queue is empty, instead of using polling.

Author:
  Brian Weaver , OpenNMS

Method Summary
`void` `addInputListener(InputFifoQueueListener listener)` Adds a new listener to the notifiable queue.
`void` `removeInputListener(InputFifoQueueListener listener)` Removes an already registered listener.

Methods inherited from interface org.opennms.core.queue.FifoQueue
`add, add, isEmpty, remove, remove, size`

Method Detail

### addInputListener

    public void addInputListener(InputFifoQueueListener listener)

  Adds a new listener to the notifiable queue. If the listener already exists then it is up to the implementor to determine behavior. When a new element is added to the queue the listener will have its `callback`method invoked.

  Parameters:
    `listener` - The instance to be notified on queue additions.

### removeInputListener

    public void removeInputListener(InputFifoQueueListener listener)

  Removes an already registered listener. If the listener was not already registered then no action is performed.

  Parameters:
    `listener` - The listener to remove from the queue.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.